Subject: Re: CCL:More on Compiling g03 on Opteron with pgf 5.2-4

From: Szieberth Denes <dino_at_iris.inc.bme.hu>
Date: Fri, 22 Apr 2005 09:23:05 +0200 (CEST)

On Thu, 21 Apr 2005, Christian Boehme wrote:

> I have tried to compile Gaussian03 on our Opteron machines running under
> SuSE SLES 9 using pgf version 5.2-4. While PGI 5.2-x is the supported
> compiler suite according to gaussian.com webpages the build scripts of
> our g03 version still contain 5.1 pathnames. I fixed this and Gaussian
> seemed to compile without errors. However, the resulting binaries
> segfault after just a few lines of output:
>
>  Entering Gaussian System, Link 0=g03
>  Initial command:
>  /usr/product/gaussian64/g03/l1.exe
> /home/gwdg/GWDG/cboehme1/test/g03tests/Gau-28741.inp -scrdir=/ho
> me/gwdg/GWDG/cboehme1/test/g03tests/
>
> I looked at the strace and seemingly l1.exe segfaults for no obvious
> reasons.

Hi,
What kernel are you running? My executables produced the same segfault 
using a 2.4.x kernel, but were running perfectly with 2.6.11.

cheers,
dino